# Tables Management API

The Tables Management API allows partners to manage and get an overview of tables for participating Merchant locations. This includes checking if a table has any open sales (unpaid orders) attached to it.

Partners can create, update, and delete tables for participating Merchant locations.

When a new open sale is created by the POS for a given table number, Tyro Connect adds the sale ID to the matching table and a 'table opened' notification is sent. When a sale is fully paid and closed, Tyro Connect removes the sale from the table and a 'table closed' notification is sent.

Partners will be able to:

- Get open sales for a table. A table will have a list open sale IDs. Sales information can be retrieved and managed separately.
- Get tables with open sales for a location
- Get information for a table such as the table number and section.
- Webhook notifications can be received for table events such as `NEW_TABLE`, `TABLE_UPDATED`, `TABLE_OPENED`, `TABLE_CLOSED` and `TABLE_DELETED`.


## API reference

| Endpoint | Description |
|  --- | --- |
| [`POST /tables`](/api-explorer/tables/1.0/other/create-table-request) | Create table |
| [`DELETE /tables/{tableId}`](/api-explorer/tables/1.0/other/delete-table) | Delete table |
| [`GET /tables/{tableId}`](/api-explorer/tables/1.0/other/get-table) | Get table |
| [`GET /tables`](/api-explorer/tables/1.0/other/list-tables) | List tables |
| [`PATCH /tables/{tableId}`](/api-explorer/tables/1.0/other/patch-table) | Update table |